# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-10-15 21:25
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Attached',
            fields=[
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('typeAttached', models.CharField(choices=[('Acta Visita', 'Acta Visita'), ('Respuesta Auto', 'Respuesta Auto'), ('Compensacion', 'Compensacion'), ('Resolucion', 'Resolucion'), ('Otros', 'Otros')], default='', max_length=200)),
                ('name', models.CharField(blank=True, max_length=200, null=True, verbose_name='nombre')),
                ('description', models.TextField(blank=True, null=True, verbose_name='descripción')),
                ('upload', models.FileField(upload_to='uploads/')),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('bank', models.CharField(choices=[('BANCO AGRARIO', 'BANCO AGRARIO'), ('BANCO AV VILLAS', 'BANCO AV VILLAS'), ('BANCO CAJA SOCIAL', 'BANCO CAJA SOCIAL'), ('BANCO COLPATRIA', 'BANCO COLPATRIA'), ('BANCO CORPBANCA S.A', 'BANCO CORPBANCA S.A'), ('BANCO DAVIVIENDA', 'BANCO DAVIVIENDA'), ('BANCO DE BOGOTA', 'BANCO DE BOGOTA'), ('BANCO DE OCCIDENTE', 'BANCO DE OCCIDENTE'), ('BANCO GNB SUDAMERIS', 'BANCO GNB SUDAMERIS'), ('BANCO PICHINCHA S.A.', 'BANCO PICHINCHA S.A.'), ('BANCO POPULAR', 'BANCO POPULAR'), ('BANCO PROCREDIT', 'BANCO PROCREDIT'), ('BANCOLOMBIA', 'BANCOLOMBIA'), ('BANCOOMEVA S.A.', 'BANCOOMEVA S.A.'), ('BBVA COLOMBIA S.A.', 'BBVA COLOMBIA S.A.'), ('CITIBANK', 'CITIBANK'), ('ITAÚ', 'ITAÚ'), ('BANCO FALABELLA', 'BANCO FALABELLA')], default='', max_length=200, verbose_name='Banco')),
                ('value', models.DecimalField(decimal_places=2, default='0,00', max_digits=15, verbose_name='Valor')),
                ('createDate', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creacion')),
                ('name', models.CharField(blank=True, max_length=200, null=True, verbose_name='nombre')),
                ('description', models.TextField(blank=True, max_length=200, null=True, verbose_name='descripcion')),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Expedient',
            fields=[
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=200, null=True, verbose_name='nombre')),
                ('description', models.TextField(blank=True, max_length=200, null=True, verbose_name='descripcion')),
                ('state', models.CharField(choices=[('Reciente', 'Reciente'), ('En Proceso', 'En Proceso'), ('Historicas', 'Historicas'), ('Cerrado', 'Cerrado')], default=' ', max_length=100, verbose_name='Estado')),
            ],
            options={
                'ordering': ['-modified'],
            },
        ),
        migrations.AddField(
            model_name='collection',
            name='idExpedient',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='expedientes.Expedient'),
        ),
        migrations.AddField(
            model_name='attached',
            name='idExpedient',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='expedientes.Expedient'),
        ),
    ]
